Skip to main content
POST
Star/unstar message

Authorizations

Authorization
string
header
required

Scoped API key created via POST /api/account/keys.

Path Parameters

session
string
required

Session name

Body

application/json

Star payload

chatId
string
required

Chat JID containing the message

Example:

"1234567890@s.whatsapp.net"

messageId
string
required

ID of the message to star/unstar

Example:

"ABCDEF1234567890"

fromMe
boolean

Whether the message was sent by the session account

sender
string

JID of the message sender (required for group messages not from self)

Example:

"5511999999999@s.whatsapp.net"

star
boolean

Whether to star (true) or unstar (false) the message

Example:

true

Response

OK

Simple success/failure response with no data payload

message
string

Human-readable result message

success
boolean

Whether the operation succeeded